﻿using PdfSharp.Pdf;

namespace PdfSharp.Pdf.Advanced
{
    class PdfCompressedObject
    {
        public int ObjectId { get; private set; }

        internal int ContainingObjectId { get; private set; }

        internal int IndexInContainer { get; private set; }

        public PdfCompressedObject(int objectId, int containerId, int containerIndex)
        {
            ObjectId = objectId;
            ContainingObjectId = containerId;
            IndexInContainer = containerIndex;
        }

        public override string ToString()
        {
            return "[" + ObjectId + " 0] <- [" + ContainingObjectId + " #" + IndexInContainer + "]";
        }
    }
}
